MSWStruct::Paragraph Struct Reference

the paragraph structure of a Microsoft Word file More...

`#include <MSWStruct.hxx>`

Inheritance diagram for MSWStruct::Paragraph:

## Public Member Functions

| Paragraph (int version)
| Constructor. More...
void | insert (Paragraph const &para, bool insertModif=true)
| insert the new values More...
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data More...
bool | getFont (Font &font, Font const *styleFont=0) const
| returns the font which correspond to the paragraph if possible More...
bool | inTable () const
| returns true if we are in table More...
void | print (std::ostream &o, MWAWFontConverterPtr converter) const
| operator<< More...
int | getNumLines () const
| returns the number of line stored in m_info or -1 More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, WPXUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (WPXPropertyList &propList, bool inTable) const
| add to the propList More...
void | addTabsTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add tabs to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes

int | m_version
| the file version More...
Variable< int > | m_styleId
| the style id (if known) More...
Variable< std::vector< float > > | m_deletedTabs
| the delete tabulation More...
Variable< ParagraphInfo > | m_info
| the dimension More...
Variable< Font > | m_font
| the font More...
Variable< Font > | m_modFont
| font (modifier) More...
Variable< Section > | m_section
| the section More...
Variable< MWAWBorder > | m_bordersStyle
| the border style ( old v3) More...
Variable< bool > | m_inCell
| a cell/textbox More...
Variable< bool > | m_tableDef
| a table flag More...
Variable< Table > | m_table
| the table More...
Public Attributes inherited from MWAWParagraph
Variable< double > | m_margins [3]
| the margins More...
Variable< WPXUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< WPXUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector < MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable < MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_extra
| a string to store some errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...

## Additional Inherited Members

Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

the paragraph structure of a Microsoft Word file

## Constructor & Destructor Documentation

MSWStruct::Paragraph::Paragraph | ( | int | version | ) |

inline

Constructor.

## Member Function Documentation

bool MSWStruct::Paragraph::getFont | ( | Font & | font,
|  | Font const * | styleFont = `0`
| ) |  | const

returns the font which correspond to the paragraph if possible

Referenced by MSWText::prepareFontProperties().

int MSWStruct::Paragraph::getNumLines | ( |  | ) | const

inline

returns the number of line stored in m_info or -1

void MSWStruct::Paragraph::insert | ( | Paragraph const & | para,
|  | bool | insertModif = `true`
| ) |  |

insert the new values

Referenced by MSWText::prepareParagraphProperties().

bool MSWStruct::Paragraph::inTable | ( |  | ) | const

inline

returns true if we are in table

void MSWStruct::Paragraph::print | ( | std::ostream & | o,
|  | MWAWFontConverterPtr | converter
| ) |  | const

operator<<

Referenced by MSWText::prepareData(), MSWTextStyles::readPLC(), MSWTextStyles::readPropertyModifier(), and MSWTextStyles::readTextStructList().

bool MSWStruct::Paragraph::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos
| ) |  |

try to read a data

Referenced by MSWTextStyles::readParagraph().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |

friend

operator<<

## Member Data Documentation

Variable<MWAWBorder> MSWStruct::Paragraph::m_bordersStyle

the border style ( old v3)

Referenced by insert(), MSWStruct::operator<<(), and read().

Variable<std::vector<float> > MSWStruct::Paragraph::m_deletedTabs

the delete tabulation

Referenced by insert(), MSWStruct::operator<<(), and read().

Variable<Font> MSWStruct::Paragraph::m_font

the font

Referenced by getFont(), MSWTextStyles::getSectionFont(), insert(), print(), and MSWTextStyles::readParagraph().

Variable<bool> MSWStruct::Paragraph::m_inCell

a cell/textbox

Referenced by insert(), inTable(), MSWStruct::operator<<(), and read().

Variable<ParagraphInfo> MSWStruct::Paragraph::m_info

the dimension

Referenced by getNumLines(), insert(), MSWStruct::operator<<(), and MSWTextStyles::readPLC().

Variable<Font> MSWStruct::Paragraph::m_modFont

font (modifier)

Referenced by getFont(), insert(), print(), and MSWTextStyles::readParagraph().

Variable<Section> MSWStruct::Paragraph::m_section

the section

Referenced by insert(), MSWStruct::operator<<(), read(), MSWTextStyles::sendSection(), and MSWTextStyles::setProperty().

Variable<int> MSWStruct::Paragraph::m_styleId

the style id (if known)

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareFontProperties(), read(), and MSWTextStyles::readPLC().

Variable<Table> MSWStruct::Paragraph::m_table

the table

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

Variable<bool> MSWStruct::Paragraph::m_tableDef

a table flag

Referenced by insert(), MSWStruct::operator<<(), MSWText::prepareTables(), and read().

int MSWStruct::Paragraph::m_version

the file version

Referenced by read().

The documentation for this struct was generated from the following files:

- MSWStruct.hxx
- MSWStruct.cxx